<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'IntegratedApplications',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer id="integrations" class="integrated-solutions">
    <SlpRow>
      <SlpColumn :cols="6" class="integrated-solutions__header">
        <SlpTypography
          v-if="data.title"
          tag="h4"
          variant="heading4-bold"
          class="slp-mb-32"
        >
          {{ data.title }}
        </SlpTypography>
        <div
          v-if="data.subtitle"
          class="text__span"
          v-html="$md.render(data.subtitle)"
        ></div>
      </SlpColumn>
      <SlpColumn :cols="6" class="solutions">
        <div
          v-for="solution in data.solutions"
          :key="solution.title"
          class="solution"
        >
          <SlpTypography variant="body1-bold" tag="p" class="slp-mb-8">
            {{ solution.title }}
          </SlpTypography>
          <div
            v-if="data.subtitle"
            class="text__span"
            v-html="$md.render(solution.subtitle)"
          ></div>
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.integrated-solutions {
  margin-bottom: $spacing-160;
  margin-top: $spacing-96;

  &__header {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  @media (max-width: $breakpoint-lg) {
    margin-top: 0;
  }

  @media (max-width: $breakpoint-md) {
    .solutions {
      justify-content: center;
      margin-top: $spacing-32;

      .solution {
        width: 100%;
      }
    }
  }
}
.solutions {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  gap: $spacing-16 $spacing-32;

  .solution {
    width: 45%;
    border: 1px solid $color-surface-100;
    border-radius: 4px;
    padding: $spacing-16;
    text-align: center;
  }
}
</style>
